<template lang="pug">
article.news-item
  .news-item__cover.product__image
    app-image-item(
    :source="cover"
    :alt="heading")
  h3.news-item__label(
  ref='heading') {{ heading }}
  span.news-item__date.product-item__composition
    b Состав:&nbsp;
    | {{ composition }}
  nuxt-link.news-item__link(:to="`/catalog/product/${slug}`" :aria-label="heading")
</template>

<script>
import ImageItem from './ImageItem';

export default {
  name: 'ProductItem',
  components: {
    'app-image-item': ImageItem
  },
  props: {
    cover: {
      type: String,
      required: true
    },
    heading: {
      type: String,
      required: true
    },
    slug: {
      type: String,
      required: true
    },
    composition: {
      type: String,
      required: true
    }
  },
  mounted() {
    this.$shave('.product-item__composition', 50);
  }
};
</script>
